;*****************************************************************************
; ImageScript v1.0
; PlayPsyCo Software.
; http://www.playpsyco.com
; Copyright (C) PlayPsyCo Software 2002-2003. All Rights Reserved
; 
; File   : 
; Author : 
; Date   : 
; Updated: 
; 
;**[DESCRIPTION]************************************************************** 
; Image and shader definitions used by '...'
; 
;**[USAGE]******************************************************************** 
; 
;**[TODO]********************************************************************* 
; 
;*****************************************************************************


Image {
	Type	2D
	Format	RGB
	Name	"refmap2.jpg"
	Alias	"refmap2"
	State {
		Mipmap	LINEAR
		Wrap	WRAP_S_WRAP_T
		Apply {
			Mode	MODULATE
		}
		Envmap {
			Mode EYE
			PlaneS 0.2 0 0 1
			PlaneT 0 0 0.2 1
		}
	}
}


Image {
	Type	2D
	Format	RGB
	Name	"eyecolor.jpg"
	Alias	"eyecolor"
	State {
		Mipmap	LINEAR
		Wrap	WRAP_S_WRAP_T
		Apply {
			Mode	MODULATE
		}
	}
}


Shader {
	Name	"eyeball"
	Texture {
		Image	"eyecolor"
		TexUnit	UNIT0
	}
	Material {
		Enable no
		Diffuse 1 1 1 1
	}
}


Shader {
	Name	"cyclops"
	Texture {
		Image	"refmap2"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
}


Shader {
	Name	"eyeball_trans"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
		TwoSided yes
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable yes
		Write no
		Function LEQUAL
	}
	Material {
		Enable no
		Diffuse 0.25 0.5 0.25 0.25
	}
}


Shader {
	Name	"eyeball_trans_light"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"rings2"
		TexUnit	UNIT0
		CoordR {
			{ Envelope
			2
			Key 0.0 261.549 3 0 0 0 0 0.9997223 0
			Key 1440.0 294.243 3 0 0 0 0.9997223 0 0
			Behaviors 1 4
			}
		}
	}
	ZBuffer {
		Enable yes
		Write no
	}
	Material {
		Enable no
		Diffuse 1 1 0.75 1
	}
}
