;*****************************************************************************
; ImageScript v1.0
; PlayPsyCo Software.
; http://www.playpsyco.com
; Copyright (C) PlayPsyCo Software 2002-2003. All Rights Reserved
; 
; File   : 
; Author : 
; Date   : 
; Updated: 
; 
;**[DESCRIPTION]************************************************************** 
; start time: 229.041
; end time  : 261.549
;**[USAGE]******************************************************************** 
; 
;**[TODO]********************************************************************* 
; 
;*****************************************************************************


Image {
	Format	RGB
	Name	"lines.jpg"
	Alias	"lines_dali"
	State {
		Mipmap	LINEAR_LINEAR
		Wrap	WRAP_S_WRAP_T
		Apply {
			Mode	MODULATE
		}
		Envmap {
			Mode EYE
			PlaneS 0.1 0 0 0
			PlaneT 0 0 0.1 0
		}
	}
}


Image {
	Format	RGB
	Name	"refmap.jpg"
	Alias	"refmap_dali"
	State {
		Mipmap	LINEAR
		Wrap	WRAP_S_WRAP_T
		Apply {
			Mode	MODULATE
		}
		Envmap {
			Mode EYE
			PlaneS 0.1 0 0 0
			PlaneT 0 0.1 0 0
		}
	}
}



Shader {
	Name	"krykke"
	Texture {
		Image	"envmap3"
		TexUnit	UNIT0
	}
	Material {
		Enable no
		Diffuse 0.773 0.533 0.294 1.0
	}
}


Shader {
	Name	"objekt_1"
	Texture {
		Image	"refmap_dali"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
}


Shader {
	Name	"objekt_2"
	Texture {
		Image	"refmap_dali"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
}


Shader {
	Name	"objekt_3"
	Texture {
		Image	"refmap_dali"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
}


Shader {
	Name	"stein"
	Texture {
		Image	"envmap3"
		TexUnit	UNIT0
	}
	Material {
		Enable no
		Diffuse 1.0 0.506 0.0 1.0
	}
}


Shader {
	Name	"ground_plane"
	Texture {
		Image	"lines_dali"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
	Material {
		Enable no
		Diffuse 0.8 0.8 0.8 1.0
	}
}


Shader {
	Name	"chesedoodle"
	Texture {
		Image	"envmap3"
		TexUnit	UNIT0
	}
	Material {
		Enable no
		Diffuse 0.8 0.8 0.8 1.0
	}
}


Shader {
	Name	"rings"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"rings2"
		TexUnit	UNIT0
		CoordR {
			{ Envelope
			2
			Key 0.0 229.041 3 0 0 0 0 0.9997223 0
			Key 1440.0 261.549 3 0 0 0 0.9997223 0 0
			Behaviors 1 4
			}
		}
	}
	ZBuffer {
		Enable yes
		Write no
	}
	Material {
		Enable no
		Diffuse 1 1 1 0.75
	}
}


Shader {
	Name	"skylag"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"fogger"
		TexUnit	UNIT0
		CoordU {
			{ Envelope
			2
			Key 0.0 229.041 3 0 0 0 0 0.9997223 0
			Key 2.0 261.549 3 0 0 0 0.9997223 0 0
			Behaviors 1 4
			}
		}
		CoordR {
			{ Envelope
			2
			Key 0.0 229.041 3 0 0 0 0 0.9997223 0
			Key 1440.0 261.549 3 0 0 0 0.9997223 0 0
			Behaviors 1 4
			}
		}
	}
	ZBuffer {
		Enable yes
		Write no
	}
	Material {
		Enable no
		Diffuse 1 1 1 1
	}
}
