;*****************************************************************************
; ImageScript v1.0
; PlayPsyCo Software.
; http://www.playpsyco.com
; Copyright (C) PlayPsyCo Software 2002-2003. All Rights Reserved
; 
; File   : 
; Author : 
; Date   : 
; Updated: 
; 
;**[DESCRIPTION]************************************************************** 
; Image and shader definitions used by '...'
; 
;**[USAGE]******************************************************************** 
; 
;**[TODO]********************************************************************* 
; 
;*****************************************************************************


Shader {
	Name	"bassengbunn"
	Texture {
		Image	"pool"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"bassengkant"
	Texture {
		Image	"pool"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"bassengvegger"
	Texture {
		Image	"poolwalls"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"benk"
	Texture {
		Image	"Altaqua"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"toenne"
	Texture {
		Image	"Altaqua"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"toenne_trans"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	SRC_ALPHA_MINUS_ONE
	}
	Cull {
		Enable no
		TwoSided yes
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LESS
	}
	Material {
		Enable	no
		Diffuse 1 0.95 0.75 0.5
	}
}


Shader {
	Name	"lyskjegle_solid"
	Cull {
		Enable no
		TwoSided yes
	}
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"lyskjegle_trans"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable no
		TwoSided yes
	}
	Texture {
		Image	"atom2"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse 1 1 1 1
	}
}


Shader {
	Name	"vannlys_trans"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"vannlys"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse 1 1 1 1
	}
}


Shader {
	Name	"dome"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"domebase"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"gulv"
	Texture {
		Image	"tilez1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"plataa"
	Texture {
		Image	"tilez1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"rekverk"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"sky"
	Texture {
		Image	"cloud2"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"soeyle"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"soeyle2"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"soeylefot"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"soeylegulv"
	Texture {
		Image	"Pat0039"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"soeyletak"
	Texture {
		Image	"Pat0039"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"soeylevegger"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"soeyleveggerbue"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"trapper"
	Texture {
		Image	"tilez1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"vegger"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"vegger2"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"vegger3"
	Texture {
		Image	"dusty1"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"pzoom_star"
	Texture {
		Image	"refmap"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
}
Shader {
	Name	"pzoom_trans"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse 0.0 0.5 0.5 0.5
	}
}


;*****************************************************************************
; water plane shader
;*****************************************************************************
Image {
	Info	"water reflection image"
	Format	RGB
	Name	"WaterReflect-final-2.jpg"
	Alias	"WaterReflect"
	State {
		Mipmap	LINEAR_LINEAR
		Wrap	CLAMP_S_CLAMP_T_CLAMP_R
		Envmap {
			Mode	REFLECTION_MAP
		}		
		Apply {
			Mode	   COMBINE
			Func.RGB   MODULATE
			Func.Alpha REPLACE
			Src0.RGB   TEXTURE
			Op0.RGB    SRC_COLOR
			Src0.Alpha PRIMARY_COLOR
			Op0.Alpha  SRC_ALPHA
			Src1.RGB   PRIMARY_COLOR
			Op1.RGB    SRC_ALPHA
			Src2.RGB   CONSTANT
			Op2.RGB    SRC_COLOR
		}
	}
}

Image {
	Info	"water refraction image"
	Format	RGB
	Name	"WaterRefract-final.jpg"
	Alias	"WaterRefract"
	State {
		Mipmap	LINEAR_LINEAR
		Wrap	CLAMP_S_CLAMP_T
		Apply {
			Mode	   COMBINE
			Func.RGB   ADD
			Func.Alpha REPLACE
			Src0.RGB   TEXTURE
			Op0.RGB    SRC_COLOR
			Src0.Alpha PREVIOUS
			Op0.Alpha  SRC_ALPHA
			Src1.RGB   PREVIOUS
			Op1.RGB    SRC_COLOR
			Src2.RGB   CONSTANT
			Op2.RGB    SRC_COLOR
		}
	}
}


Shader {
	Info	"water shader used by the WaterRoom effect"
	Name	"WaterShader"
	Texture {
		Image	"WaterReflect"
		TexUnit	UNIT0
	}

	Texture {
		Image	"WaterRefract"
		TexUnit	UNIT1
	}
}
